import { CombinedIndexStatus, CollectAndStageResult, GenerationMode, ProviderInfo, QueueProcessorStatus, CurrentStagingStats } from "../../types";
export declare function getCombinedIndexStatus(): Promise<CombinedIndexStatus | undefined>;
export declare function rebuildIndex(forceRegenerate?: boolean): Promise<CollectAndStageResult>;
export declare function cleanupBatches(): Promise<void>;
export declare function populateCentroids(k: number): Promise<void>;
export declare function processCompletedBatches(): Promise<void>;
export declare function getProviderInfo(): Promise<ProviderInfo>;
export declare function generateEmbeddings(mode?: GenerationMode): Promise<void>;
export declare function getQueueStatus(): Promise<QueueProcessorStatus>;
export declare function getStagingStats(): Promise<CurrentStagingStats>;
export declare function retryFailedEmbeddingRequests(rebuildId?: string, limit?: number): Promise<{
    retried: number;
}>;
export declare function stopEmbeddingGeneration(): Promise<void>;
export declare function cancelCollection(): Promise<void>;
